Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkTexture Class Reference

`#include <vtkTexture.h>`

Inheritance diagram for vtkTexture:

[legend]
Collaboration diagram for vtkTexture:

[legend]
List of all members.

## Detailed Description

handles properties associated with a texture map

Date:
  2002/08/29 14:51:35

Revision:
  1.57

vtkTexture is an object that handles loading and binding of texture maps. It obtains its data from an input image data dataset type. Thus you can create visualization pipelines to read, process, and construct textures. Note that textures will only work if texture coordinates are also defined, and if the rendering system supports texture.

Instances of vtkTexture are associated with actors via the actor's SetTexture() method. Actors can share texture maps (this is encouraged to save memory resources.)

Warning:
  Currently only 2D texture maps are supported, even though the data pipeline supports 1,2, and 3D texture coordinates.

Warning:
  Some renderers such as OpenGL require that the texture map dimensions are a power of two in each direction. Other renderers may have similar (ridiculous) restrictions, so be careful out there... (Note: a recent change to vtk allows use of non-power of two texture maps in OpenGL. The texture is automatically resampled to a power of two in one or more directions.)

See also:
  vtkActor vtkRenderer vtkOpenGLTexture

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (45%)
  - Lorensen, Bill (19%)
  - Schroeder, Will (11%)
  - Law, Charles (6%)
  - Gobbi, David (5%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkTexture.h)`
  - .`cxx` (`/Rendering/vtkTexture.cxx)`

Examples:
  vtkTexture (Examples)

Tests:
  vtkTexture (Tests)

Definition at line 84 of file vtkTexture.h.

## Public Types
typedef vtkProcessObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Render (vtkRenderer *ren)
virtual void | ReleaseGraphicsResources (vtkWindow *)
virtual void | Load (vtkRenderer *)
unsigned char * | MapScalarsToColors (vtkDataArray *scalars)
virtual int | GetRepeat ()
virtual void | SetRepeat (int)
virtual void | RepeatOn ()
virtual void | RepeatOff ()
virtual int | GetInterpolate ()
virtual void | SetInterpolate (int)
virtual void | InterpolateOn ()
virtual void | InterpolateOff ()
virtual void | SetQuality (int)
virtual int | GetQuality ()
void | SetQualityToDefault ()
void | SetQualityTo16Bit ()
void | SetQualityTo32Bit ()
virtual int | GetMapColorScalarsThroughLookupTable ()
virtual void | SetMapColorScalarsThroughLookupTable (int)
virtual void | MapColorScalarsThroughLookupTableOn ()
virtual void | MapColorScalarsThroughLookupTableOff ()
void | SetInput (vtkImageData *input)
vtkImageData * | GetInput ()
void | SetLookupTable (vtkLookupTable *)
virtual vtkLookupTable * | GetLookupTable ()
virtual vtkUnsignedCharArray * | GetMappedScalars ()
## Static Public Methods
vtkTexture * | New ()
int | IsTypeOf (const char *type)
vtkTexture * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkTexture ()
| ~vtkTexture ()
## Protected Attributes
int | Repeat
int | Interpolate
int | Quality
int | MapColorScalarsThroughLookupTable
vtkLookupTable * | LookupTable
vtkUnsignedCharArray * | MappedScalars
int | SelfAdjustingTableRange

## Member Typedef Documentation

typedef vtkProcessObject vtkTexture::Superclass

| Reimplemented from vtkProcessObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture. Definition at line 88 of file vtkTexture.h.

## Constructor & Destructor Documentation

vtkTexture::vtkTexture | ( |  | ) | `[protected]`

vtkTexture::~vtkTexture | ( |  | ) | `[protected]`

## Member Function Documentation

vtkTexture* vtkTexture::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture.

virtual const char* vtkTexture::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture.

int vtkTexture::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture.

virtual int vtkTexture::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProcessObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture.

vtkTexture* vtkTexture::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProcessObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture.

void vtkTexture::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProcessObject. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture.

virtual void vtkTexture::Render | ( | vtkRenderer * | ren | ) | `[virtual]`

| Renders a texture map. It first checks the object's modified time to make sure the texture maps Input is valid, then it invokes the Load() method.

virtual void vtkTexture::ReleaseGraphicsResources | ( | vtkWindow * |  | ) | `[inline, virtual]`

| Release any graphics resources that are being consumed by this texture. The parameter window could be used to determine which graphic resources to release. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture. Definition at line 99 of file vtkTexture.h.

virtual void vtkTexture::Load | ( | vtkRenderer * |  | ) | `[inline, virtual]`

| Abstract interface to renderer. Each concrete subclass of vtkTexture will load its data into graphics system in response to this method invocation. Reimplemented in vtkMesaTexture, and vtkOpenGLTexture. Definition at line 104 of file vtkTexture.h.

virtual int vtkTexture::GetRepeat | ( |  | ) | `[virtual]`

| Turn on/off the repetition of the texture map when the texture coords extend beyond the [0,1] range.

virtual void vtkTexture::SetRepeat | ( | int |  | ) | `[virtual]`

| Turn on/off the repetition of the texture map when the texture coords extend beyond the [0,1] range.

virtual void vtkTexture::RepeatOn | ( |  | ) | `[virtual]`

| Turn on/off the repetition of the texture map when the texture coords extend beyond the [0,1] range.

virtual void vtkTexture::RepeatOff | ( |  | ) | `[virtual]`

| Turn on/off the repetition of the texture map when the texture coords extend beyond the [0,1] range.

virtual int vtkTexture::GetInterpolate | ( |  | ) | `[virtual]`

| Turn on/off linear interpolation of the texture map when rendering.

virtual void vtkTexture::SetInterpolate | ( | int |  | ) | `[virtual]`

| Turn on/off linear interpolation of the texture map when rendering.

virtual void vtkTexture::InterpolateOn | ( |  | ) | `[virtual]`

| Turn on/off linear interpolation of the texture map when rendering.

virtual void vtkTexture::InterpolateOff | ( |  | ) | `[virtual]`

| Turn on/off linear interpolation of the texture map when rendering.

virtual void vtkTexture::SetQuality | ( | int |  | ) | `[virtual]`

| Force texture quality to 16-bit or 32-bit. This might not be supported on all machines.

virtual int vtkTexture::GetQuality | ( |  | ) | `[virtual]`

| Force texture quality to 16-bit or 32-bit. This might not be supported on all machines.

void vtkTexture::SetQualityToDefault | ( |  | ) | `[inline]`

| Force texture quality to 16-bit or 32-bit. This might not be supported on all machines. Definition at line 126 of file vtkTexture.h. References VTK_TEXTURE_QUALITY_DEFAULT.

void vtkTexture::SetQualityTo16Bit | ( |  | ) | `[inline]`

| Force texture quality to 16-bit or 32-bit. This might not be supported on all machines. Definition at line 127 of file vtkTexture.h. References VTK_TEXTURE_QUALITY_16BIT.

void vtkTexture::SetQualityTo32Bit | ( |  | ) | `[inline]`

| Force texture quality to 16-bit or 32-bit. This might not be supported on all machines. Definition at line 128 of file vtkTexture.h. References VTK_TEXTURE_QUALITY_32BIT.

virtual int vtkTexture::GetMapColorScalarsThroughLookupTable | ( |  | ) | `[virtual]`

| Turn on/off the mapping of color scalars through the lookup table. The default is Off. If Off, unsigned char scalars will be used directly as texture. If On, scalars will be mapped through the lookup table to generate 4-component unsigned char scalars. This ivar does not affect other scalars like unsigned short, float, etc. These scalars are always mapped through lookup tables.

virtual void vtkTexture::SetMapColorScalarsThroughLookupTable | ( | int |  | ) | `[virtual]`

| Turn on/off the mapping of color scalars through the lookup table. The default is Off. If Off, unsigned char scalars will be used directly as texture. If On, scalars will be mapped through the lookup table to generate 4-component unsigned char scalars. This ivar does not affect other scalars like unsigned short, float, etc. These scalars are always mapped through lookup tables.

virtual void vtkTexture::MapColorScalarsThroughLookupTableOn | ( |  | ) | `[virtual]`

| Turn on/off the mapping of color scalars through the lookup table. The default is Off. If Off, unsigned char scalars will be used directly as texture. If On, scalars will be mapped through the lookup table to generate 4-component unsigned char scalars. This ivar does not affect other scalars like unsigned short, float, etc. These scalars are always mapped through lookup tables.

virtual void vtkTexture::MapColorScalarsThroughLookupTableOff | ( |  | ) | `[virtual]`

| Turn on/off the mapping of color scalars through the lookup table. The default is Off. If Off, unsigned char scalars will be used directly as texture. If On, scalars will be mapped through the lookup table to generate 4-component unsigned char scalars. This ivar does not affect other scalars like unsigned short, float, etc. These scalars are always mapped through lookup tables.

void vtkTexture::SetInput | ( | vtkImageData * | input | ) |

| This process object accepts image data as input.

vtkImageData* vtkTexture::GetInput | ( |  | ) |

| This process object accepts image data as input.

void vtkTexture::SetLookupTable | ( | vtkLookupTable * |  | ) |

| Specify the lookup table to convert scalars if necessary

virtual vtkLookupTable* vtkTexture::GetLookupTable | ( |  | ) | `[virtual]`

| Specify the lookup table to convert scalars if necessary

virtual vtkUnsignedCharArray* vtkTexture::GetMappedScalars | ( |  | ) | `[virtual]`

| Get Mapped Scalars

unsigned char* vtkTexture::MapScalarsToColors | ( | vtkDataArray * | scalars | ) |

| Map scalar values into color scalars.

## Member Data Documentation

int vtkTexture::Repeat`[protected]`

| Definition at line 167 of file vtkTexture.h.

int vtkTexture::Interpolate`[protected]`

| Definition at line 168 of file vtkTexture.h.

int vtkTexture::Quality`[protected]`

| Definition at line 169 of file vtkTexture.h.

int vtkTexture::MapColorScalarsThroughLookupTable`[protected]`

| Definition at line 170 of file vtkTexture.h.

vtkLookupTable* vtkTexture::LookupTable`[protected]`

| Definition at line 171 of file vtkTexture.h.

vtkUnsignedCharArray* vtkTexture::MappedScalars`[protected]`

| Definition at line 172 of file vtkTexture.h.

int vtkTexture::SelfAdjustingTableRange`[protected]`

| Definition at line 175 of file vtkTexture.h.

The documentation for this class was generated from the following file:

- Rendering/vtkTexture.h